weka.core.pmml.jaxbbindings

## Class Constant

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Constant

-     public class Constant
      extends java.lang.Object

  Java class for Constant element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Constant">
         <complexType>
           <simpleContent>
             <extension base="<http://www.w3.org/2001/XMLSchema>string">
               <attribute name="dataType" type="{http://www.dmg.org/PMML-4_1}DATATYPE" />
             </extension>
           </simpleContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constant()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DATATYPE` | `getDataType()` Gets the value of the dataType property.
    `java.lang.String` | `getValue()` Gets the value of the value property.
    `void` | `setDataType(DATATYPE value)` Sets the value of the dataType property.
    `void` | `setValue(java.lang.String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Constant

          public Constant()

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataType

          public DATATYPE getDataType()

      Gets the value of the dataType property.
      Returns:
        possible object is `DATATYPE`

    - #### setDataType

          public void setDataType(DATATYPE value)

      Sets the value of the dataType property.
      Parameters:
        `value` - allowed object is `DATATYPE`